# Created by pyp2rpm-3.3.2
%global pypi_name hpack
%global with_tests 0

%global with_python2 1

%if 0%{?rhel} && 0%{?rhel} >= 8
%global with_python2 0
%endif


%global common_description %{expand:
HTTP/2 Header Encoding for Python This module contains a pure-Python
HTTP/2 header encoding (HPACK) logic for use in Python programs that implement
HTTP/2. It also contains a compatibility layer that automatically enables the
use of nghttp2 if it's available.}

Name:           python-%{pypi_name}
Version:        3.0.0
Release:        5%{?dist}.1
Summary:        Pure-Python HPACK header compression

License:        MIT
URL:            http://hyper.rtfd.org
Source0:        https://github.com/python-hyper/hpack/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
%if 0%{?with_python2}
BuildRequires:  python2-devel
BuildRequires:  python2dist(setuptools)
BuildRequires:  python2dist(pytest)
BuildRequires:  python2dist(hypothesis)
%endif

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(hypothesis)

%{?python_enable_dependency_generator}

%description
%{common_description}


%if 0%{?with_python2}
%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
%{common_description}
%endif


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{common_description}


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
rm -rf bench


%build
%if 0%{?with_python2}
%py2_build
%endif
%py3_build


%install
%if 0%{?with_python2}
%py2_install
%endif
%py3_install


%if 0%{?with_tests}
%check
%if 0%{?with_python2}
%{__python2} -m pytest
%endif
%{__python3} -m pytest
%endif # with_tests


%if 0%{?with_python2}
%files -n python2-%{pypi_name}
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Wed Jul 24 2019 Stephen Smoogen <smooge@fedoraproject.org> - 3.0.0-5.1
- Make python2 optional

* Mon Jun 24 2019 Troy Dawson <tdawson@redhat.com> - 3.0.0-5.1
- Turn off tests for initial EPEL8 build

* Thu Mar 07 2019 Robert-André Mauchin <zebob.m@gmail.com> - 3.0.0-5
- Add actual tests

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 3.0.0-2
- Rebuilt for Python 3.7

* Mon May 14 2018 Robert-André Mauchin <zebob.m@gmail.com> - 3.0.0-1
- Initial package.
